Bug 188512 - network problem with sky2 driver after link failure
network problem with sky2 driver after link failure
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 15:54 EDT by Vlado Potisk
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 16:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vlado Potisk 2006-04-10 15:54:26 EDT
Description of problem:
The network interface controlled by the sky2 driver works unreliably after an
ethernet link failure. ICMP ping works, but larger data tranfers (like telnet
sessions or web browsing) hang - sometimes immediately, sometimes after short time.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2069_FC4

How reproducible:
Always

Steps to Reproduce:
1. disconnect the network cable for few seconds
2. plug it back
3. start a network data transfer
  
Actual results:
Data transfer hangs

Expected results:
No network problems

Additional info:
Ethernet controller: Marvell Technology Group Ltd. 88E8053 Gigabit Ethernet
Controller (rev 15)

"service network restart" resets the interface and solves the problem
Comment 1 Vlado Potisk 2006-06-27 13:43:57 EDT
It looks like the new kernel version 2.6.17 does not have this problem (and I'm
glad they fixed it).
Comment 2 Dave Jones 2006-09-16 22:59:12 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 15:14:45 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Vlado Potisk 2006-10-16 16:07:14 EDT
I have reported this bug, however I cannot provide the requested information if
the FC5 is affected as well (my plan: FC4->FC6). I guess it has been fixed
upstream (comment #1) and since there are no additional comments or CC's I think
it is OK to close this bug due to lack of information.

Note You need to log in before you can comment on or make changes to this bug.